default: whois_rip
include ../../Makefile.in

LIBS =  -lripsv -lriprx -lripth -lpthread -lrippw -lripco -lriper -lripip -lrippr -lripqc -lriput -lripwk -lrippc -lripsq -lmysqlclient -lm -lripsk -lxnet -lripqi -lripwh -lripdf -lripma `$(GLIBCONF) --libs` -lripac 

defs: $(DEFS)
	cd ../../defs; $(MAKE); cd ../bin/rip

modules: $(MODULES)
	cd ../../modules; $(MAKE); cd ../bin/rip

whois_rip: $(SOURCES) $(HEADERS) modules
# whois_rip: $(SOURCES) $(HEADERS) defs modules
	$(CC) -c $(CFLAGS) whois_rip.c
	$(CC) $(LFLAGS) -o whois_rip whois_rip.o $(LIBS) $(OPTS)

clean:
	${RM} core *.o whois_rip

